summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Kyle Guinn <elyk03@gmail.com>2011-10-04 01:05:20 -0500
committer Robby Workman <rworkman@slackbuilds.org>2011-10-11 21:20:26 -0500
commit72f712cb54ed3401c45b39669bb6968b17dcc9b6 (patch)
treed8fd1cba76b68c75bd4e0265a34179a14d59a783
parent59d573866d06657e9a762fc06a9f3d3659499f0b (diff)
downloadslackbuilds-72f712cb54ed3401c45b39669bb6968b17dcc9b6.tar.gz
slackbuilds-72f712cb54ed3401c45b39669bb6968b17dcc9b6.tar.xz
network/privoxy: Updated for version 3.0.17, new maintainer.
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
-rw-r--r--network/privoxy/doinst.sh34
-rw-r--r--network/privoxy/privoxy.SlackBuild22
-rw-r--r--network/privoxy/privoxy.info12
3 files changed, 33 insertions, 35 deletions
diff --git a/network/privoxy/doinst.sh b/network/privoxy/doinst.sh
index 712c6737b3..71fb8f31d2 100644
--- a/network/privoxy/doinst.sh
+++ b/network/privoxy/doinst.sh
@@ -28,46 +28,48 @@ else
rm -f var/log/privoxy/logfile.new
fi
-config etc/rc.d/rc.privoxy.new
+config etc/privoxy/config.new
+config etc/privoxy/default.action.new
+config etc/privoxy/default.filter.new
+config etc/privoxy/match-all.action.new
+config etc/privoxy/templates/blocked.new
+config etc/privoxy/templates/cgi-error-404.new
config etc/privoxy/templates/cgi-error-bad-param.new
config etc/privoxy/templates/cgi-error-disabled.new
+config etc/privoxy/templates/cgi-error-file-read-only.new
config etc/privoxy/templates/cgi-error-file.new
config etc/privoxy/templates/cgi-error-modified.new
config etc/privoxy/templates/cgi-error-parse.new
+config etc/privoxy/templates/cgi-style.css.new
config etc/privoxy/templates/connect-failed.new
+config etc/privoxy/templates/connection-timeout.new
config etc/privoxy/templates/default.new
config etc/privoxy/templates/edit-actions-add-url-form.new
+config etc/privoxy/templates/edit-actions-for-url-filter.new
config etc/privoxy/templates/edit-actions-for-url.new
-config etc/privoxy/templates/edit-actions-list.new
config etc/privoxy/templates/edit-actions-list-button.new
-config etc/privoxy/templates/cgi-style.css.new
config etc/privoxy/templates/edit-actions-list-section.new
config etc/privoxy/templates/edit-actions-list-url.new
+config etc/privoxy/templates/edit-actions-list.new
config etc/privoxy/templates/edit-actions-remove-url-form.new
config etc/privoxy/templates/edit-actions-url-form.new
+config etc/privoxy/templates/forwarding-failed.new
config etc/privoxy/templates/mod-local-help.new
config etc/privoxy/templates/mod-support-and-service.new
config etc/privoxy/templates/mod-title.new
config etc/privoxy/templates/mod-unstable-warning.new
+config etc/privoxy/templates/no-server-data.new
config etc/privoxy/templates/no-such-domain.new
config etc/privoxy/templates/show-request.new
config etc/privoxy/templates/show-status-file.new
+config etc/privoxy/templates/show-status.new
+config etc/privoxy/templates/show-url-info.new
config etc/privoxy/templates/show-version.new
-config etc/privoxy/templates/toggle.new
config etc/privoxy/templates/toggle-mini.new
+config etc/privoxy/templates/toggle.new
config etc/privoxy/templates/untrusted.new
-config etc/privoxy/templates/forwarding-failed.new
-config etc/privoxy/templates/blocked.new
-config etc/privoxy/templates/cgi-error-404.new
-config etc/privoxy/templates/cgi-error-file-read-only.new
-config etc/privoxy/templates/edit-actions-for-url-filter.new
-config etc/privoxy/templates/show-status.new
-config etc/privoxy/templates/show-url-info.new
config etc/privoxy/templates/url-info-osd.xml.new
-config etc/privoxy/default.action.new
+config etc/privoxy/trust.new
config etc/privoxy/user.action.new
config etc/privoxy/user.filter.new
-config etc/privoxy/config.new
-config etc/privoxy/trust.new
-config etc/privoxy/default.filter.new
-config etc/privoxy/match-all.action.new
+config etc/rc.d/rc.privoxy.new
diff --git a/network/privoxy/privoxy.SlackBuild b/network/privoxy/privoxy.SlackBuild
index 034c231c49..4bf223cc26 100644
--- a/network/privoxy/privoxy.SlackBuild
+++ b/network/privoxy/privoxy.SlackBuild
@@ -27,16 +27,14 @@
# Modified by the SlackBuilds.org project
PRGNAM=privoxy
-VERSION=3.0.12
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-3.0.17}
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -60,11 +58,13 @@ else
LIBDIRSUFFIX=""
fi
-## privoxy user & group *MUST* exist before package creation
-# See http://slackbuilds.org/uid_gid.txt for current recomendations.
+# privoxy user & group *MUST* exist before package creation
+# See http://slackbuilds.org/uid_gid.txt for current recommendations.
PRIVOXY_USER=${PRIVOXY_USER:-privoxy}
PRIVOXY_GROUP=${PRIVOXY_GROUP:-privoxy}
+set -e
+
if ! grep -q ^$PRIVOXY_GROUP: /etc/group 2>/dev/null ; then
echo " Error: PRIVOXY group ($PRIVOXY_GROUP) doesn't exist."
echo " Try creating one with: groupadd -g 206 $PRIVOXY_GROUP"
@@ -77,8 +77,6 @@ if ! grep -q ^$PRIVOXY_USER: /etc/passwd 2>/dev/null ; then
exit 1
fi
-set -e
-
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
@@ -106,12 +104,10 @@ CXXFLAGS="$SLKCFLAGS" \
--with-group=$PRIVOXY_GROUP \
--build=$ARCH-slackware-linux
-make || exit 1
-make install-strip || exit 1
+make
+make install-strip
-( cd $PKG/usr/man
- find . -type f -exec gzip -9 {} \;
-)
+find $PKG/usr/man -type f -exec gzip -9 {} \;
mv $PKG/usr/doc/$PRGNAM $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
diff --git a/network/privoxy/privoxy.info b/network/privoxy/privoxy.info
index 3826047891..af89be4e70 100644
--- a/network/privoxy/privoxy.info
+++ b/network/privoxy/privoxy.info
@@ -1,10 +1,10 @@
PRGNAM="privoxy"
-VERSION="3.0.12"
+VERSION="3.0.17"
HOMEPAGE="http://www.privoxy.org/"
-DOWNLOAD="http://downloads.sourceforge.net/sourceforge/ijbswa/privoxy-3.0.12-stable-src.tar.gz"
-MD5SUM="c973e608d27b248ef567b47664308da1"
+DOWNLOAD="http://downloads.sourceforge.net/ijbswa/privoxy-3.0.17-stable-src.tar.gz"
+MD5SUM="9d363d738a3f3d73e774d6dfeafdb15f"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
-MAINTAINER="alkos333"
-EMAIL="me@alkos333.net"
-APPROVED="dsomero"
+MAINTAINER="Kyle Guinn"
+EMAIL="elyk03@gmail.com"
+APPROVED="Erik Hanson"